Package com.independentsoft.office.word.styles

# Class StyleDefinitions

java.lang.Object
com.independentsoft.office.word.styles.StyleDefinitions

public class StyleDefinitions extends Object
The Class StyleDefinitions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleDefinitions()`
  Instantiates a new style definitions.
  `StyleDefinitions​(byte[] buffer)`
  Instantiates a new style definitions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleDefinitions`
  `clone()`
  `DocumentDefaultProperties`
  `getDefaultProperties()`
  Gets the default properties.
  `LatentStyles`
  `getLatentStyles()`
  Gets the latent styles.
  `String`
  `getMarkupCompatibilityIgnorable()`
  Gets the mc:Ignorable attribute value of the styles root, or `null` if absent.
  `Style`
  `getStyle​(String id)`
  Gets the style.
  `List<Style>`
  `getStyles()`
  Gets the styles.
  `void`
  `setLatentStyles​(LatentStyles latentStyles)`
  Sets the latent styles.
  `void`
  `setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)`
  Sets the mc:Ignorable attribute value of the styles root.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StyleDefinitions

    public StyleDefinitions()
    Instantiates a new style definitions.

  - ### StyleDefinitions

    public StyleDefinitions​(byte[] buffer) throws XMLStreamException
    Instantiates a new style definitions.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getStyle

    public Style getStyle​(String id)
    Gets the style.
    Parameters:
      `id` - the id
    Returns:
      the style

  - ### clone

    public StyleDefinitions clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefaultProperties

    public DocumentDefaultProperties getDefaultProperties()
    Gets the default properties.
    Returns:
      the default properties

  - ### getLatentStyles

    public LatentStyles getLatentStyles()
    Gets the latent styles.
    Returns:
      the latent styles

  - ### setLatentStyles

    public void setLatentStyles​(LatentStyles latentStyles)
    Sets the latent styles.
    Parameters:
      `latentStyles` - the new latent styles

  - ### getMarkupCompatibilityIgnorable

    public String getMarkupCompatibilityIgnorable()
    Gets the mc:Ignorable attribute value of the styles root, or `null` if absent.
    Returns:
      the markup-compatibility ignorable prefixes

  - ### setMarkupCompatibilityIgnorable

    public void setMarkupCompatibilityIgnorable​(String markupCompatibilityIgnorable)
    Sets the mc:Ignorable attribute value of the styles root.
    Parameters:
      `markupCompatibilityIgnorable` - the new value

  - ### getStyles

    public List<Style> getStyles()
    Gets the styles.
    Returns:
      the styles